# $Revision: 1.66 $, $Date: 2008/10/11 00:03:11 $
%define		hordeapp kronolith
#
%include	/usr/lib/rpm/macros.php
Summary:	Kronolith - calendar for Horde
Summary(pl.UTF-8):	Kronolith - kalendarz dla Horde
Name:		horde-%{hordeapp}
Version:	2.3
Release:	2
License:	LGPL
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/kronolith/%{hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	81500ac468942a64a8faa03063f26d10
Source1:	%{hordeapp}.conf
URL:		http://www.horde.org/kronolith/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	horde >= 3.1
Requires:	php(xml)
Requires:	php-common >= 3:4.1.0
Requires:	webapps
Suggests:	php-pear-Date
Suggests:	php-pear-Date_Holidays >= 0.17.1
Suggests:	php-pear-XML_Serializer
Obsoletes:	kronolith
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(Horde.*)'

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Kronolith is the Horde calendar application. It provides a stable and
featureful individual calendar system for every Horde user, with
integrated collaboration/scheduling features. It makes extensive use
of the Horde Framework to provide integration with other applications.

Right now, Kronolith implements a solid, stand-alone calendar system,
allowing repeating events, all-day events, custom fields, keywords,
shared calendars, iCalendar support, generation of free/busy
information, and managing multiple users through Horde Authentication.
The calendar API that Kronolith uses is abstracted such that it could
work with any backend, but right now we provide SQL (abstracted to
support most databases, including MySQL, PostgreSQL, Oracle, and MSSQL
via PEAR DB), MCAL, and Kolab backend libraries.

%description -l pl.UTF-8
Kronolith to kalendarz będący aplikacją dla Horde. Dostarcza stabilny
system kalendarza o dużych możliwościach dla każdego użytkownika Horde
wraz ze zintegrowanymi możliwościami współpracy/planowania.
Intensywnie wykorzystuje szkielet Horde w celu integracji z innymi
aplikacjami.

Jak na razie Kronolith implementuje solidny, samodzielny system
kalendarza, pozwalający na powtarzanie zdarzeń, zdarzenia codzienne,
własne pola, słowa kluczowe, współdzielone kalendarze, obsługę
iCalendar, generowanie informacji o wolnym i zajętym czasie oraz
zarządzanie wieloma użytkownikami poprzez uwierzytelnianie Horde. API
kalendarza używane przez Kronolith jest abstrakcyjne, tak że może
działać z dowolnym backendem, ale aktualnie dostarczane są biblioteki
backendów SQL (jako abstrakcja do obsługi większości baz, w tym MySQL,
PostgreSQL, Oracle i MS SQL poprzez PEAR DB), MCAL i Kolab.

%prep
%setup -q -n %{hordeapp}-h3-%{version}

for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done

# Described in documentation as dangerous file...
rm test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a calendars feed js lib locale templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

if [ "$1" = 1 ]; then
%banner %{name} -e <<EOF
IMPORTANT:
If you are installing Kronolith for the first time, you must now
create the Kronolith database tables. Look into directory
%{_docdir}/%{name}-%{version}/sql
to find out how to do this for your database.
EOF
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README docs/* scripts/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/calendars
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/feed
%{_appdir}/js
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: horde-kronolith.spec,v $
Revision 1.66  2008/10/11 00:03:11  baggins
- rel 2
- sanitized R/S

Revision 1.65  2008/10/10 17:26:27  qboosh
- unified

Revision 1.64  2008/10/10 11:25:57  baggins
- rel 1
- remove test.php

Revision 1.63  2008/10/10 11:17:21  baggins
- S: Date-Holidays

Revision 1.62  2008/10/10 11:07:50  baggins
- added new dirs to package

Revision 1.61  2008/10/09 22:53:07  glen
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

Revision 1.60  2008/10/09 22:44:56  baggins
- use correct dir name in setup

Revision 1.59  2008/10/09 22:17:02  baggins
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

Revision 1.58  2008/10/09 21:52:02  baggins
- up to 2.3
- removed unreadable tangle of macros and ugly hacks

Revision 1.57  2008-02-06 23:11:20  glen
- update to 2.2rc2, unify macros, drop old trigger

Revision 1.56  2008-01-09 16:47:59  paszczus
- updated to 2.2-rc1

Revision 1.55  2007-10-01 06:42:26  glen
- 2.1.6

Revision 1.54  2007/08/01 11:41:37  paszczus
- rel 2

Revision 1.53  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.52  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.51  2006/11/29 14:20:22  glen
- 2.1.4: security fix: Close arbitrary file inclusion in free/busy views.

Revision 1.50  2006/11/26 12:45:18  glen
- virtual deps; rel 2

Revision 1.49  2006/11/03 11:04:02  glen
- 2.1.3

Revision 1.48  2006/10/01 17:10:51  glen
- rel 3

Revision 1.47  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.46  2006/06/18 09:41:59  glen
- rel 2

Revision 1.45  2006/06/17 13:27:44  glen
- 2.1.2

Revision 1.44  2006/04/06 23:38:23  glen
- just rm to catch missing files

Revision 1.43  2006/03/28 19:28:56  paszczus
- release 1

Revision 1.42  2006/03/06 22:19:20  paszczus
- updated to FINAL 2.1

Revision 1.41  2006/02/14 20:12:09  glen
- drop apache specific requires
- cosmetics

Revision 1.40  2006/02/14 19:59:48  glen
- unify (%verify attrs for webserver configs)

Revision 1.39  2006/02/14 16:01:04  glen
- rc3

Revision 1.38  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.37  2006/01/08 20:28:27  glen
- use %service in triggers
- trigger also on old package name

Revision 1.36  2006/01/06 16:08:11  paszczus
- backing to _rel

Revision 1.35  2006/01/05 17:50:57  paszczus
- updated to 2.1rc1

Revision 1.34  2005/12/11 22:51:39  paszczus
- updated to 2.0.6 (security update)

Revision 1.33  2005/12/02 17:57:44  glen
- proper build macros

Revision 1.32  2005/12/02 16:07:59  glen
- rel 2

Revision 1.31  2005/11/30 22:32:13  glen
- simplify and unify

Revision 1.30  2005/11/30 21:21:19  glen
- unify

Revision 1.29  2005/11/30 12:50:45  glen
- conf.xml is not %config(noreplace) so it should not be rescued in trigger

Revision 1.28  2005/11/29 19:17:31  glen
- incompatible apache versions are listed in webapps package

Revision 1.27  2005/11/28 11:35:56  glen
- use webapps framework

Revision 1.26  2005/11/16 14:17:51  glen
- unified apache virtual requires

Revision 1.25  2005/11/14 09:50:01  paszczus
- updated to 2.0.5

Revision 1.24  2005/10/17 20:06:46  paszczus
- updated to FINAL 2.0.4 ; rel 1 ; STBR

Revision 1.23  2005/09/17 16:27:33  glen
- renamed horde application packages with horde- prefix

Revision 1.22  2005/09/17 15:21:50  glen
- unify

Revision 1.21  2005/09/17 11:12:17  glen
- merged 2.0.4rc1 from DEVEL; use %{_hordeapp} macro

Revision 1.20  2005/09/16 22:38:20  glen
- fix php epoch

Revision 1.19.4.1  2005/08/30 18:29:40  paszczus
- updated to 2.0.4rc1

Revision 1.19  2005/08/01 19:57:19  glen
- rel 1; STBR

Revision 1.18  2005/07/20 22:07:56  glen
- use apache config triggers

Revision 1.17  2005/05/09 17:50:38  glen
- horde apps are all www applications (adjust group)

Revision 1.16  2005/05/09 16:13:38  glen
- 2.0.3

Revision 1.15  2005/03/21 17:23:07  glen
- rel 1; STBR

Revision 1.14  2005/03/06 09:58:57  glen
- strict apache module require

Revision 1.13  2005/03/04 20:39:42  glen
- include macros.php

Revision 1.12  2005/02/27 19:58:05  qboosh
- _docdir instead of hardcoded path

Revision 1.11  2005/02/27 19:10:37  glen
- update path to sql schemas

Revision 1.10  2005/02/27 19:04:14  glen
- still, put conf.php.bak as %ghost, to avoid conf.php.bak.rpmnew files

Revision 1.9  2005/02/25 23:14:43  glen
- file security revisited: remove write permission on config directory and add .bak files as config

Revision 1.8  2005/02/25 23:00:44  glen
- package docs/CREDITS for help->about

Revision 1.7  2005/02/25 08:32:59  qboosh
- shellglob syntax fix

Revision 1.6  2005/02/25 00:31:54  glen
- strict apache version require (for confdir support)
- package conf.php.bak as ghost for clean uninstall
- keep write permission only on conf.php

Revision 1.5  2005/02/24 21:28:00  glen
- unified with other horde apps

Revision 1.4  2005/02/12 17:50:05  paszczus
- updated to 2.0.2

Revision 1.3  2005/02/03 22:00:37  qboosh
- pl, Log, removed bogus dep
